# Created by pyp2rpm-3.3.8
%global pypi_name pyreports
%global pypi_version 1.5.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        pyreports is a python library that allows you to create complex report from various sources

License:        GNU General Public License v3.0
URL:            https://github.com/MatteoGuadrini/pyreports
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 pyreports<img src" alt"pyreports" title"pyreports" width"300" height"300"
/>[![Codacy Badge]( [![CircleCI]( is a python library that allows you to create
complex reports from various sources such as databases,

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(ldap3)
Requires:       python3dist(mysql-connector-python)
Requires:       python3dist(nosqlapi)
Requires:       python3dist(psycopg2-binary)
Requires:       python3dist(pymssql)
Requires:       python3dist(pyyaml)
Requires:       python3dist(setuptools)
Requires:       python3dist(tablib)
Requires:       python3dist(tablib)
%description -n python3-%{pypi_name}
 pyreports<img src" alt"pyreports" title"pyreports" width"300" height"300"
/>[![Codacy Badge]( [![CircleCI]( is a python library that allows you to create
complex reports from various sources such as databases,


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.md
%doc README.md
%{_bindir}/reports
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Sep 27 2022 mockbuilder - 1.5.1-1
- Initial package.